Subject: Re: bug#77974: Manual updates for the VC-aware project backend
From: Dmitry Gutov <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Mon, 28 Apr 2025 01:53:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

On 25/04/2025 10:23, Eli Zaretskii wrote:
>> Date: Fri, 25 Apr 2025 03:27:29 +0300
>> Cc:[email-masked]
>> From: Dmitry Gutov<[email-masked]>
>>
>>>>> Also, when you introduce new terminology, it is best to use @dfn
>>>>> instead of literal quotes, and also have an indexing command for that
>>>>> terminology.
>>>> "Untracked" is a fairly common term to the VC subsystem and VC systems
>>>> in general.
>>> That's beside the point (you don't explain what it means, presumably
>>> because that is known well enough).  The important part is that this
>>> is the first (or only) place where it is mentioned in the Emacs
>>> manual.
>> Okay. Do we provide a definition inline? Or link to another node? Here's
>> what Git says about it:
>>
>>     Untracked files in Git are files that exist in your working directory
>>     but are not being tracked by Git, meaning they haven't been added to
>>     version control.
> If you want to explain what "untracked" mean, I think in this case I'd
> go with a @footnote, and tell there what you quote from Git, but
> without mentioning Git (because I believe all VCSes handle untracked
> files the same).

Thank you, though it seems Sean's suggestion helped avoid using the 
footnote in that paragraph.

Other than that, pushed the patch in revision 568a4894a8d7cc61. I think 
it contains all the other improvements, but LMK is anything is amiss.